Delen via


Configuration Names - List

Hier worden de configuratienamen weergegeven die door Service Connector worden gegenereerd voor alle doel-, clienttypen en verificatietypen.

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview
GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview&$filter={$filter}&$skipToken={$skipToken}

URI-parameters

Name In Vereist Type Description
api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

$filter
query

string

OData-filteropties.

$skipToken
query

string

Optie OData skipToken voor paginering.

Antwoorden

Name Type Description
200 OK

ConfigurationNameResult

OK. De aanvraag is voltooid.

Other Status Codes

ErrorResponse

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

GetConfigurationNames

Voorbeeldaanvraag

GET https://management.azure.com/providers/Microsoft.ServiceLinker/configurationNames?api-version=2022-11-01-preview

Voorbeeldrespons

{
  "value": [
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "systemAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for the token."
          }
        ]
      }
    },
    {
      "properties": {
        "targetService": "MICROSOFT.APPCONFIGURATION/CONFIGURATIONSTORES",
        "clientType": "none",
        "authType": "userAssignedIdentity",
        "names": [
          {
            "value": "AZURE_APPCONFIGURATION_ENDPOINT",
            "description": "App configuration endpoint"
          },
          {
            "value": "AZURE_APPCONFIGURATION_CLIENTID",
            "description": "The client(application) ID of the user identity."
          },
          {
            "value": "AZURE_APPCONFIGURATION_SCOPE",
            "description": "The scopes required for getting token."
          }
        ]
      }
    }
  ],
  "nextLink": null
}

Definities

Name Description
AuthType

Het verificatietype.

clientType

Het clienttype van de toepassing

ConfigurationName

De configuratienamen.

ConfigurationNameItem
ConfigurationNameResult

Configuratienaamlijst die wordt ingesteld op basis van verschillende doelresource, clienttype, verificatietype.

DaprMetadata

De metagegevens van het dapr-onderdeel.

DaprProperties

Geeft enkele aanvullende eigenschappen voor dapr-clienttype aan

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

AuthType

Het verificatietype.

Waarde Description
systemAssignedIdentity
userAssignedIdentity
servicePrincipalSecret
servicePrincipalCertificate
secret
accessKey
userAccount

clientType

Het clienttype van de toepassing

Waarde Description
none
dotnet
java
python
go
php
ruby
django
nodejs
springBoot
kafka-springBoot
dapr

ConfigurationName

De configuratienamen.

Name Type Description
description

string

Beschrijving voor de configuratienaam.

required

boolean

De configuratie vertegenwoordigen is vereist of niet

value

string

ConfigurationNameItem

Name Type Description
properties.authType

AuthType

Het verificatietype.

properties.clientType

clientType

Het clienttype voor configuratienamen.

properties.daprProperties

DaprProperties

Geeft enkele aanvullende eigenschappen voor dapr-clienttype aan

properties.names

ConfigurationName[]

De configuratienamen die moeten worden ingesteld in de compute-serviceomgeving.

properties.targetService

string

De naam en resourcenaam van de doelserviceprovider.

ConfigurationNameResult

Configuratienaamlijst die wordt ingesteld op basis van verschillende doelresource, clienttype, verificatietype.

Name Type Description
nextLink

string

Koppeling naar de volgende pagina met resources.

value

ConfigurationNameItem[]

Verwachte configuratienamen voor elke doelservice.

DaprMetadata

De metagegevens van het dapr-onderdeel.

Name Type Description
name

string

Naam van metagegevenseigenschap.

secretRef

string

De geheime naam waar dapr waarde kan ophalen

value

string

Waarde van metagegevenseigenschap.

DaprProperties

Geeft enkele aanvullende eigenschappen voor dapr-clienttype aan

Name Type Description
componentType

string

Het dapr-onderdeeltype

metadata

DaprMetadata[]

Aanvullende dapr-metagegevens

scopes

string[]

De dapr-onderdeelbereiken

secretStoreComponent

string

De naam van een geheime archief-dapr voor het ophalen van een geheim

version

string

De dapr-onderdeelversie

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.